curl --request PUT \
--url https://api.samora.ai/v2/webhooks/{webhook_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"url": "https://new-server.com/webhooks/samora"
}
'
{
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"events": [
"<string>"
],
"data_options": {
"include_transcript": false,
"include_recording_url": false
},
"custom_headers": {},
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}Webhooks
Update webhook
Updates an existing webhook configuration. All fields are optional.
PUT
/
v2
/
webhooks
/
{webhook_id}
curl --request PUT \
--url https://api.samora.ai/v2/webhooks/{webhook_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"url": "https://new-server.com/webhooks/samora"
}
'
{
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"events": [
"<string>"
],
"data_options": {
"include_transcript": false,
"include_recording_url": false
},
"custom_headers": {},
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Your unique organization API key. Required on all requests.
Path Parameters
The UUID of the webhook to update
Body
application/json
A friendly name for this webhook.
Required string length:
1 - 255The HTTPS URL where webhook payloads will be sent.
List of event types to subscribe to.
Minimum array length:
1Available options:
CALL_STARTED, CALL_FINISHED, CALL_FAILED Show child attributes
Show child attributes
Custom HTTP headers to send with webhook requests.
Show child attributes
Show child attributes
Enable or disable the webhook.